REM @echo off

setlocal
REM while using 4.X version of Crossworlds, set CWVERSION to 4.X
set CWVERSION="4.X"
set ORBCLASSPATH=com.inprise.vbroker.orb.ORB
set CWCLASSES="%CROSSWORLDS%"\lib\crossworlds.jar

REM while using 3.x version of Crossworlds, set CWVERSION to 3.X
REM set CWVERSION="3.X"
if %CWVERSION%=="3.X" set ORBCLASSPATH=com.visigenic.vbroker.orb.ORB
if %CWVERSION%=="3.X" set CWCLASSES="%CROSSWORLDS%"\lib\crossworlds.jar;"%CROSSWORLDS%"\lib\weblogic.jar

REM Define local batch PATH to insure we execute our jre
set PATH="%CROSSWORLDS%"\bin;%PATH%

REM set the directory where the specific connector resides
set CONNDIR="%CROSSWORLDS%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%

REM set the name to be the application connector that is starting
set CONNAME=%1
set CONNPACKAGENAME=com.crossworlds.connectors.JDBC.JDBCConnectorAgent

REM set the server name to be the interchange that is being targeted
set SERVER=%2

set JAVA="%CROSSWORLDS%"\lib\rt.jar

set MQ="%CROSSWORLDS%"\lib\mq.jar

set ORB1="%CROSSWORLDS%"\lib\vbjorb.jar
set ORB2="%CROSSWORLDS%"\lib\vbjapp.jar

set SSLJ="%CROSSWORLDS%"\lib\sslj.jar
set CERTJ="%CROSSWORLDS%"\lib\certj.jar
set JSAFE="%CROSSWORLDS%"\lib\jsafe.jar
set JAVA_SECURITY="%CROSSWORLDS%"\lib\jce1_2-do.jar

REM SET JDBCDRIVERPATH=

set CWCONNECTORAPI="%CROSSWORLDS%"\lib\CWConnectorAPI.jar
REM added to support Merant DataDirect drivers
set DATADIRECT="%CROSSWORLDS%"\lib\xwutil.jar;"%CROSSWORLDS%"\lib\xwbase.jar;"%CROSSWORLDS%"\lib\xwsqlserver.jar;"%CROSSWORLDS%"\lib\spy\lib\spy.jar

set JCLASSES=.;%JAVA%;%CWCLASSES%;%MQ%;"%CROSSWORLDS%"\connectors;%ORB1%;%ORB2%;%SSLJ%;%CERTJ%;%JSAFE%;%JDBCDRIVERPATH%;%CWCONNECTORAPI%;%DATADIRECT%;%JAVA_SECURITY%

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the Java connector under the Java Application End

REM -Dbea.home=%CROSSWORLDS% has been removed as it is no longer required
"%CROSSWORLDS%\bin\java" -mx128m -Djava.library.path="%CROSSWORLDS%"\bin;%CONNDIR% -Dorg.omg.CORBA.ORBClass=%ORBCLASSPATH% -Dorg.omg.CORBA.ORBSingletonClass=%ORBCLASSPATH% -Duser.home="%CROSSWORLDS%" -cp %JCLASSES%;%CONNDIR%\CW%CONNAME%.jar; AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME%Connector -s%SERVER%  %3 %4 %5

endlocal

pause
